Jump to content
vekia

PrestaShop 1.7 oficjalnie wydana

Recommended Posts

Cześć.

 A jak z przejściem z 1.6 na 1.7?

Trzeba pobrać na serwer nową wersję 1.7 czy będzie to dostępne przez moduł 1-click Upgrade?

Share this post


Link to post
Share on other sites

Póki co:

- bezstresowe zautomatyzowane przenosiny w tym przypadku

- nie jest i raczej nie będzie dostępny 1 click upgrade z wersji 1.6 do 1.7

- aktualnie wykorzystywane moduły raczej nie będą działać w 1.7

- nie jest możliwe również przeniesienie szablonu z 1.6 do 1.7

Share this post


Link to post
Share on other sites

A ja powiem wprost, że póki co nie warto

ta wersja jest tak niedopracowana, że chyba gorzej jak dotąd nie było ;-)

Share this post


Link to post
Share on other sites

OK, dziękuję za wyjaśnienie :)

Choć przebudowa szablonu i tak mnie czeka :)

 

Zrobię sobie drugą wersję i powoli będę działał. Ponoć dla programistów łatwiejsze jest 1.7 więc może ogarnę :)

Jeszcze raz dziękuję za odpowiedź.

Pozdrawiam.

 MM

Share this post


Link to post
Share on other sites

A ja powiem wprost, że póki co nie warto

ta wersja jest tak niedopracowana, że chyba gorzej jak dotąd nie było ;-)

 

Zgadzam się z kolegą. Nawet tak podstawowe rzeczy - zdawać by się mogło - jak menu w BO ma błędy.

Ponadto część elementów jest przetłumaczona, część jest przetłumaczona źle, a część wcale.

 

Może trzeba będzie poczekać do wersji 1.7.1 

:-)

Share this post


Link to post
Share on other sites

Moje pytanie. Czy jest w wer 1.7 jakiś edytor szablonu?! Za cholerę nie mogę znaleźć.

 

Co do przejścia z 1.6 na 1.7. Również NIE POLECAM! Zmieniam serwer i czekałem na 1.7, żeby od nowa wszystko zrobić na nowej preście ale się wstrzymam.

 

Pierwsze 5 minut korzystania i...

* W panelu admina nie da się drugi raz kliknąć innej opcji z tej samej kategorii ponieważ rozwijane menu przesuwa się z centymetr.

* Nie da się zaktualizować modułu a co gorsza nie można - nie ma opcji aktualizacji wszystkich modułów jednocześnie!

* Po instalacji modułu np. "Zgodność z prawem" pokazuje się UPDATE po czym nie da się zaktualizować

 

Dalej już nie przeglądam. Rozczarowałem się.

 

Konfiguracja serwera: (nie wywala, żadnych błędów)

Debian 8.6

Apache2 2.4.10

PHP 7.0.12

MariaDB 10.0.27

 

Proszę o potwierdzenie błędów u innych. 

Edited by KrisPL (see edit history)

Share this post


Link to post
Share on other sites

@up: problem z modułami też zauważyłem - niektórych (nawet tych od presty) nie można w ogóle zainstalować. O aktualizacji tym bardziej można zapomnieć. Wywala błędy.

Share this post


Link to post
Share on other sites

Czy zostało w jakiś sposób usprawnione dodawanie produktów? W sensie czy strona edytowania produktu nie pobiera już gigabajtów danych z serwera?

Share this post


Link to post
Share on other sites

@up: problem z modułami też zauważyłem - niektórych (nawet tych od presty) nie można w ogóle zainstalować. O aktualizacji tym bardziej można zapomnieć. Wywala błędy.

 

Zdecydowana większość modułów, które nie są przygotowane do działania z 1.7 nie będzie można zainstalować w 1.7

 

Natomiast jeżęli mowa o modułach od PS, to wszystkie te które domyślnie są w panelu sklepu - powinny instalować się normalnie. Wszystkie inne - mogą generować problemy gdyż nie są przygotowane dla 1.7.

 

wszystkich zaskoczyło wydanie ps 1.7 TAK SZYBKO , 

w związku z czym - zanim to wszystko stanie na nogi - trzba uzrobić się w cierpliwość, niestety

Share this post


Link to post
Share on other sites

Czy zostało w jakiś sposób usprawnione dodawanie produktów? W sensie czy strona edytowania produktu nie pobiera już gigabajtów danych z serwera?

 

nigdy gigabajtów nie pobierało, problemem był szereg asynchronicznych zapytań.

 

dziś strona edycji produktu generuje się w inny sposób, jednak ilość danych do przetworzenie cały czas jest taka sama (lub bardzo zbliżona)

Share this post


Link to post
Share on other sites

Zdecydowana większość modułów, które nie są przygotowane do działania z 1.7 nie będzie można zainstalować w 1.7

 

Natomiast jeżęli mowa o modułach od PS, to wszystkie te które domyślnie są w panelu sklepu - powinny instalować się normalnie. Wszystkie inne - mogą generować problemy gdyż nie są przygotowane dla 1.7.

 

wszystkich zaskoczyło wydanie ps 1.7 TAK SZYBKO , 

w związku z czym - zanim to wszystko stanie na nogi - trzba uzrobić się w cierpliwość, niestety

Problem w tym, że piszę właśnie o modułach od PS - innych nawet nie śmiałem próbować.

 

Przy większości modułów od PS wyskakuje błąd taki jak tu http://michalrx.usermd.net/pliki/prestablad.jpg

 

Na początku myślałem, że może jest to związane z jakimś brakiem uprawnień do konkretnego folderu jednak bodajże jeden czy dwa moduły udało mi się zainstalować - nie działają natomiast te, na których najbardziej mi zależy i są właśnie autorstwa PS stąd też moje zdziwienie.

Share this post


Link to post
Share on other sites

Problem w tym, że piszę właśnie o modułach od PS - innych nawet nie śmiałem próbować.

 

Przy większości modułów od PS wyskakuje błąd taki jak tu http://michalrx.usermd.net/pliki/prestablad.jpg

 

Na początku myślałem, że może jest to związane z jakimś brakiem uprawnień do konkretnego folderu jednak bodajże jeden czy dwa moduły udało mi się zainstalować - nie działają natomiast te, na których najbardziej mi zależy i są właśnie autorstwa PS stąd też moje zdziwienie.

 

 

to chyba kwestia uprawnień, ten bład wyskakuje jak skrypt nie może zapisywać / tworzyć plików na hostingu

w tym aspekcie dziwne jest to, że część z modułow zainstalowała się poprawnie

Share this post


Link to post
Share on other sites

@vekia

 

Orientujesz się (na podstawie doświadczenia, kontaktu z devami lub z historii poprzednich wersji), ile czasu zajmie im załatanie tych największych bugów (typu instalacja, która nie działa co drugiemu użytkownikowi) ? Ile też może minąć czasu nim 1.7 będzie na tyle stabilna by można na niej stawiać sklep?

Share this post


Link to post
Share on other sites

Jeśli chodzi o 1.6 to dopiero od wersji 1.6.0.9 można było mówić o "stabilności" więc w zakładce download możesz prześledzić daty.

Share this post


Link to post
Share on other sites

to chyba kwestia uprawnień, ten bład wyskakuje jak skrypt nie może zapisywać / tworzyć plików na hostingu

w tym aspekcie dziwne jest to, że część z modułow zainstalowała się poprawnie

Tak jak wspominałem - też na początku stawiałem na uprawnienia, ale z racji tego, że jednak coś udało się zainstalować to tę opcję chwilowo odrzuciłem.

Powiem szczerze, że już zgłupiałem i jednak strzelam, że wina będzie tu po stronie PS.

Share this post


Link to post
Share on other sites

Witam serdecznie, 
przeczytałem w tym wątku, że moduły kompatybilne z v. 1.6, które nie są oficjalnymi wtyczkami PrestaShop prawdopodobni nie będą działały na wersji 1.7. Próbuje dzisiaj zainstalować takowy moduł (wtyczka Salesmanago - jestem developerem firmy) podczas instalacji dostaje komunikat "Instalacja modułu salesmanago nie powiodła się. The version of your module is not compliant with your PrestaShop version.". Myślałem, że powodem jest " $this->ps_versions_compliancy...", dodałem tam wyższy numer, lecz nadal z tym samym efektem. Wnioskuję, że tak jak zostało napisane wcześniej, ten moduł nie będzie działał - czyli będzie koniecznie przepisanie pod nowa wersję, tak?

Share this post


Link to post
Share on other sites

A próbował ktoś ręcznie już migrować do 1.7. Ja próbowałem wykorzystując metodę ręcznej aktualizacji z wersji 1.6, ale to tu nie działa. Plik settings jest w zupełnie innym miejscu. Import danych z plików CSV również odpada, bo np. importując klientów nie ma w pliku pola hasło.

Share this post


Link to post
Share on other sites
Witajcie. Ja również używam modułu pobranego bezpośrednio ze strony InPost. Pracuje na wersji 1.6 i wszystko działa dobrze. problemy pojawiają się przy wersji 1.7. Moduł instaluje się i pojawia na liście. Ale kiedy chcę go skonfigurować pojawia mi się komunikat na białym ekranie:

 

[PrestaShop] Fatal error in module file :E:\xampp\htdocs\prestashop_1.7\app\bootstrap.php.cache:

Uncaught exception 'RuntimeException' with message 'Failed to start the session: already started by PHP.' in E:\xampp\htdocs\prestashop_1.7\app\cache\prod\classes.php:108 Stack trace: #0 E:\xampp\htdocs\prestashop_1.7\app\cache\prod\classes.php(483): Symfony\Component\HttpFoundation\Session\Storage\NativeSessionStorage->start() #1 E:\xampp\htdocs\prestashop_1.7\vendor\symfony\symfony\src\Symfony\Component\Security\Csrf\TokenStorage\SessionTokenStorage.php(90): Symfony\Component\HttpFoundation\Session\Session->start() #2 E:\xampp\htdocs\prestashop_1.7\vendor\symfony\symfony\src\Symfony\Component\Security\Csrf\CsrfTokenManager.php(54): Symfony\Component\Security\Csrf\TokenStorage\SessionTokenStorage->hasToken('ANONYMOUS_USER') #3 E:\xampp\htdocs\prestashop_1.7\app\cache\prod\classes.php(8196): Symfony\Component\Security\Csrf\CsrfTokenManager->getToken('ANONYMOUS_USER') #4 E:\xampp\htdocs\prestashop_1.7\classes\Link.php(1266): PrestaShopBundle\Service\Routing\Router->generate('admin_module_ma...', Array, 0) #5 [

 

Co mogę z tym zrobić? Sklep jest na moim localhoscie. Z 1.6 nie ma problemu. Ale 1.7 kusi. Proszę o pomoc.

Share this post


Link to post
Share on other sites

Witajcie,

jak uważacie czy nowy sklep uruchomić już na wersji 1.7 czy trzymać się 1.6? Start sklepu przewidziany jest na przełom kwietnia i maja.

Share this post


Link to post
Share on other sites

Witam proszę napisać doradzić jaka wersja z 1.6 jest w tym momencie najlepsza najstabilniejsza jaką polecacie . Mam sklep na 1.6.0.9 i jestem zadowolony , ale chętnie postawie na innej dziękuje   

Share this post


Link to post
Share on other sites

Witam proszę napisać doradzić jaka wersja z 1.6 jest w tym momencie najlepsza najstabilniejsza jaką polecacie . Mam sklep na 1.6.0.9 i jestem zadowolony , ale chętnie postawie na innej dziękuje   

Ja postawiłem na 1.7.0.5, wczoraj przybyło troszkę nowych modułów znanych z 1.6 (np. Cash on delivery) i ogólne robi się całkiem przyjemnie. Trzeba się przyzwyczaić do wielu zmian np. tłumaczenie sklepu. Zdecydowanie lepszy proces zakupowy, dużo nowych informacji dla klienta.

Share this post


Link to post
Share on other sites

Pytanie trochę bez sensu zadane ponieważ nie wiemy jaką klient chce specyfikacje sklepu a od tego powinieneś zacząć czy wersja 1.7 dostarcza Ci chcianych funkcjonalności i modułów. Jeśli nie to czy wersja 1.6 to dostarcza. Jeśli obie wersje tak to decyzja prosta, jeśli nie to przelicz pracochłonność dostosowania każdej wersji.

Share this post


Link to post
Share on other sites

Hej :) Mimo wszystko stawiam prosty sklepik na 1.7 i zauważyłem dziwną przypadłość bocznego drzewka kategorii. Po wejściu na stronę główną mam ustawiony widok z lewą kolumną. Klikam w wybraną kategorię, przechodzę do produktu i klikam stronę główną. W menu bocznym pojawia się tylko jedna pozycja, którą przed chwilą odwiedziłem. Nie pomaga odświeżanie. Wie ktoś może o co chodzi?

Share this post


Link to post
Share on other sites

Witam,

zainstalowałem do testów nową wersje PS, wcześniej miałem kontakt z wersją 1.6. Mam pytanie dotyczące pola Szczegóły produktu na karcie produktu.

Domyślne pole ma szerokość połowy strony (jest zaznaczona opcja full width), czy jest opcja umożliwiająca "rozciągnięcie" pola z opisem na całą szerokość czy tylko za pomocą CSS? Nigdzie nie mogę zlokalizować opcji, która mogłaby to zmienić z poziomu panelu administracyjnego.

 

Pozdrawiam

Paweł

Share this post


Link to post
Share on other sites

Witam,

zainstalowałem do testów nową wersje PS, wcześniej miałem kontakt z wersją 1.6. Mam pytanie dotyczące pola Szczegóły produktu na karcie produktu.

Domyślne pole ma szerokość połowy strony (jest zaznaczona opcja full width), czy jest opcja umożliwiająca "rozciągnięcie" pola z opisem na całą szerokość czy tylko za pomocą CSS? Nigdzie nie mogę zlokalizować opcji, która mogłaby to zmienić z poziomu panelu administracyjnego.

 

Pozdrawiam

Paweł

 

Chyba tylko w ten sposób - https://mypresta.eu/en/art/prestashop-17/full-width-tabs-on-product-page.html

  • Like 1

Share this post


Link to post
Share on other sites

Witam.

Napiszę tak.

Dajcie sobie spokój z wer. 1,7 Ciągłe problemy z byle czym.

Walczyłem bo chciałem nową wersję, nowe rozwiązania - teraz już wolę dobrą wersję.

 

Opisywałem już tutaj na forum swoje pierwsze doświadczenia z wersją 1,7.

Wniosek taki - ręce opadają. Jak chcesz kłopoty to 1,7 jak ma działać to 1,6.

 

Miłego dnia

Share this post


Link to post
Share on other sites

Z nowymi wersjami zawsze tak jest, że wychodzi masa błędów, które użytkownicy zgłaszają i wychodzą aktualizacje. Zawsze wstrzymujcie się na 2-3 miesiące, aż silnik zostanie gruntowanie przetestowany przez społeczność i wyjdą łaty. Tyczy się to sklepów, które nie mogą sobie pozwolić na jakiekolwiek błędy w funkcjonowaniu. Nowe silniki w takich przypadkach warto testować na kopiach.

Share this post


Link to post
Share on other sites

Witam.

Gdzie utworzyć/zmodyfikować stronę z warunkami z korzystania z usługi. Obecnie jest pusta i nie wiem gdzie mam ją zmodyfikować. Z góry dziękuję za pomoc.

Share this post


Link to post
Share on other sites

Witam,

Czy ktoś się orientuje jak przywrócić górne menu w Prestashop 1.7.2.2 - w wersji 1.6 jest opcja w ustawieniach - tutaj patrze ta opcja znikła ....

Share this post


Link to post
Share on other sites

Dzień dobry, przepraszam za offtop, ale nie mogę wysłać prywatnej wiadomości do admina, czy jest jakaś możliwość? Bardzo ważna sprawa wymagająca poufności. 

Share this post


Link to post
Share on other sites

Presta 1.7 chyba nigdy nie będzie stabilna, poszła w ślady Magento2.

Instaluję Prestashop 1.6, folder po ściągnięciu branch 1.6 z githuba ma 83 mega.

Ściągam z githuba branch 1.7, pojemność podobna, ale wymaga do działania zainstalowania pierdyliona komponentów przez composera, robię więc: 

composer install

w folderze że źródłami, i nagle mam prawie 400MB kodu PHP, w którym diabli wiedzą. ile błędów siedzi.

Nikt już takiej masy kodu nie ogarnie rozumem, działać to ma prawo raczej przez przypadek, ale zawsze będą jakieś cyrki.

 

Jak skończy się żywot Presty 1.6, to chyba tylko Woocommerce będzie spełniał regułę KISS/BUZI:

https://pl.wikipedia.org/wiki/KISS_(reguła)

Joomla kiedyś poszła taką kretyńską drogą, i potem została zmiażdżona przez Wordpressa i Drupala.

Dzisiaj nazwę Joomla można znaleźć głównie w serwisach typu PacketStom czy SecurityFocus, 

Także robi się powoli miejsce dla nowego dla skryptu sklepu, bardziej rozbudowanego od Woocommerce, ale bez kretyńskich udziwnień i ton nikomu nie potrzebnego do niczego kodu.

Pozdro

;)

Edited by Jacekalex (see edit history)

Share this post


Link to post
Share on other sites

13 listopada 2017 miałem styczność z PrestaShop 1.7. Czy od tego czasu poprawiła się stabilność skryptu?

Share this post


Link to post
Share on other sites

Dziwna sprawa zaktualizowałem moduł 1 click update i teraz nie mogę zaktualizować PS do 1.6.1.22 pokazuje mi się:

 

Your current PrestaShop version: 1.6.1.6

Latest official version for major channel.: 1.7.4 stable - (1.7.4.3)

 

Czyli oznacza to że przewali mnie na 1.7.4.3?

Share this post


Link to post
Share on other sites

Jak dziś wygląda stabilność 1,7 ? Czy warto się nią zainteresować?

Share this post


Link to post
Share on other sites

Też zastanawiam się czy warto już coś pokombinować z 1.7 ale widzę też że nie bardzo chcą Nam odpowiedzieć :)

Share this post


Link to post
Share on other sites

Ja juz pracuje na 1.7.

Jeżeli chodzi o aktualizację to trzeba z opcji wybrać wersję 1.6 żeby nie zaktualizowało do 1.7

Share this post


Link to post
Share on other sites

Witam wszystkich.
Coś umarła ta dyskusja a jestem ciekawa odpowiedzi na pytania wyżej jak wygląda przejście z 1,6 na 1,7 modułem.

Mam program do integracji Presty z Subiektem, jestem ciekawa czy po przejściu na 1.7 będzie dalej działał czy przestanie. Zanim przejdę muszę się upewnić u autora :)

Share this post


Link to post
Share on other sites

Zakładając nowy sklep jedyny praktycznie wybór to aktualna wersja 1.7.5. Sklep jest stabilny, działa szybko. Kilka rzeczy uproszczono w porównaniu z poprzednimi wersjami.

Przejście z 1.6 do 1.7 modułem 1-click-update jest chyba niewykonalne. Nie wiem czy komuś się udało? Ja próbowałem i - FAILED :-)
Amatorom w każdym razie nie polecam zabawy z tym. Warto zlecić procedurę przejścia komuś kto się na tym cokolwiek zna. Tak naprawdę najwięcej pracy i tak będzie z dostosowaniem szablonu w nowej wersji. To tak jakby budowanie sklepu od nowa.

Dla kogoś, kto kilka lat siedział na 1.6 przesiadka do 1.7 to może być ból. Nie mogę się przekonać do zakładki Produkt - wszystko poprzewalane. Jak ktoś dopiero zaczyna z tym programem pracę to co innego. Ale przyzwyczajenie do starego układu u mnie jest silne.
 

Share this post


Link to post
Share on other sites

Hej. Minęło już sporo czasu od wydania tej wersji. Czy jest już stabilna i warto na nią przejść z 1.6? 

Share this post


Link to post
Share on other sites

Ja się z tym męczę. Niby coś osiągnę i jest fajnie a tu raptem ciach wszystko się wykłada i nie potrafię znaleźć powodu dlaczego. Może to moja niewiedza ale z PS 1.6 dogaduje się świetnie od lat z 1.7 problem goni problem. Jeżeli masz sklep, który jest dla ciebie ważny i przynosi dochody to nie warto jeszcze jest za wcześnie.

Najgorsze to brak edytora od strony frontline produktów. Ja takiego nie znalazłem. Dla mnie to konieczność w PS 1.6 wchodzę normalnie z przeglądarki i edytuje produkty
potem save i jest super jak w Wordzie lub Page na Mac jak kto woli. Tutaj takiej opcji nie widzę tzn nie ma takiego modułu. Dla mnie to super problem bo moje produkty składają się z 5-8 innych produktów i musza być dobrze opisane. Do tego ciągle się zmieniają i wymagają stałej edycji. Natomiast okno edycji PS 1.7 od strony BO można sobie wsadzić głęboko :)

 

Share this post


Link to post
Share on other sites

Podjąłem wyzwanie - upgrade za pomocą one-click upgrade z 1.6.1.23 na 1.7.5.2 na testowej instancji. W skrócie, jak koledzy pisali wyżej, problem goni problem. Rozwiążesz jeden, pojawia się kolejny - zarówno w BO  typu nie masz uprawnień czy "UnexpectedTypeException" jak i również we Front End. 

I teraz pytanie, czy jak postawie czystą nową instancję Presty 1.7 to moge zmigrować dane (klienci, zamówienia, produkty - i wszystkie powiazane tabele) z PS 1.6  w jakis ludzki sposób bez rzeźbienia godziniami ?

 

Share this post


Link to post
Share on other sites

Można. Jeżeli interesuje Ciebie usługa odpłatna to zapraszam.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More